Retrieves all unavailabilities
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "ec29e06d-a256-49e2-8699-ad2ebfa9f4c6",
"date_start": "2026-11-03T20:56:31.2496808+00:00",
"date_end": "2026-11-03T20:56:31.2496808+00:00",
"modified_dateutc": "2026-11-03T20:56:31.2496808+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "9281731e-c3ec-4f95-ab39-3a94cc4e20b4",
"user_code": "sample string 8",
"user": {
"id": "8a0aa75e-cacc-42fd-92a2-097f18d58334",
"db_language_id": "ce2fdfea-cd0d-4ff5-819c-d7b2219e6bb0",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-03T20:56:31.2496808+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "6731f8f6-d068-4976-8d6e-b364a6204832",
"sales_organization": {
"id": "d677676d-f63c-422b-9852-479c690e10ee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f6fe1fac-fe55-4ace-b40f-605f6d1b2d36",
"db_currency_id": "9cc96083-9979-455c-ac01-acaa013ca8ac",
"db_language_id": "d51b957b-393b-453a-a2ad-caaff021e9f5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-03T20:56:31.2660887+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "193485a2-eb3f-4809-b65b-3178706ba78d",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "3fb11fa0-06dd-428a-9b67-347c9367b49c",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-03T20:56:31.2660887+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "adf6e62c-1ed7-4af3-8a2e-d1f4d18c8140"
},
"user_unavailability_type_id": "c80516b3-bf94-4419-b80e-123e3abbea91",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "b4ecaca6-5b71-45c4-b385-0347d80a0ee3",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "41ecc04e-d115-4c5c-bc29-bc31419f22d0",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "d677676d-f63c-422b-9852-479c690e10ee",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f6fe1fac-fe55-4ace-b40f-605f6d1b2d36",
"db_currency_id": "9cc96083-9979-455c-ac01-acaa013ca8ac",
"db_language_id": "d51b957b-393b-453a-a2ad-caaff021e9f5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-03T20:56:31.2660887+00:00"
},
"modified_dateutc": "2026-11-03T20:56:31.2660887+00:00"
}
}